using System;

internal sealed class Delegate737 : MulticastDelegate
{
	public extern DateTime Invoke(ref DateTime dateTime_0, double double_0);

	public static DateTime smethod_0(ref DateTime dateTime_0, double double_0, Delegate737 delegate737_1)
	{
		return delegate737_1(ref dateTime_0, double_0);
	}

	public extern Delegate737(object object_0, IntPtr intptr_0);

	static Delegate737()
	{
		Class10.smethod_13(typeof(Delegate737).TypeHandle);
	}

	internal static Delegate737 delegate737_0;
}
